# aldsim

Simple models for thin film growth using atomic layer deposition


## Motivation

Atomic layer deposition is a thin film growth technique that
relies on self-limited surface kinetics. It plays a key role
in areas such as microelectronics, and it is applied for energy,
energy storage, catalysis, and decarbonization applications.

`aldsim` implements a series of models to help explore ALD in 
various contexts and reactor configurations.

It has grown from a collection of papers that we have published over
the past 10 years.

## Status

`aldsim` is still in development. Over the next few months it will
be expanded to incorporate a variety of models. Please check aldsim's
documentation in [readthedocs](https://aldsim.readthedocs.io/en/latest/).


## Quick install

Through pypi:

```
pip install aldsim
```

## Usage

## Acknowledgements

Argonne's Laboratory Directed Research and Development program

## Copyright and license

Copyright © 2024, UChicago Argonne, LLC

`aldsim` is distributed under the terms of BSD License. 

Argonne Patent & Intellectual Property File Number: SF-24-041


